CC = g++
CONFIWX =  `wx-config --cppflags --libs`  
PROGRAMAEXE = programaLinux

$(PROGRAMAEXE)		:main.o port.o port.h define.h main.h
		$(CC) main.o  port.o  $(CONFIWX) -o  $(PROGRAMAEXE) 

main.o	:main.cpp port.h define.h  main.h
		$(CC) -c -Wall main.cpp  $(CONFIWX)

port.o	:port.cpp  port.h define.h
		$(CC) -c -Wall port.cpp		

all		:main.o port.o
		$(CC) -o  $(PROGRAMAEXE) main.o  port.o  $(CONFIWX)

clean		:
	rm  \
	 	main.o port.o $(PROGRAMAEXE)
	 	

		

		
		 
